> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> List the Payment Methods.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/payment-methods
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/payment-methods:
    get:
      tags:
        - Payment
      summary: List Payment Methods
      description: List the Payment Methods.
      operationId: listPaymentMethods
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: eligendi
        - name: filter[type]
          in: query
          description: ''
          schema:
            enum:
              - card
              - bank-transfer
            type: string
            description: ''
            example: card
          example: card
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 69b0f4b6-c252-3363-b98d-ab5279472b17
                        type:
                          type: string
                          example: card
                        is_default:
                          type: boolean
                          example: true
                        details:
                          type: object
                          properties:
                            card_brand:
                              type: string
                              example: mastercard
                            card_last_four:
                              type: string
                              example: '4444'
                            card_expiry_month:
                              type: integer
                              example: 4
                            card_expiry_year:
                              type: integer
                              example: 2044
                    example:
                      - uuid: 69b0f4b6-c252-3363-b98d-ab5279472b17
                        type: card
                        is_default: true
                        details:
                          card_brand: mastercard
                          card_last_four: '4444'
                          card_expiry_month: 4
                          card_expiry_year: 2044
                      - uuid: d40ceacf-4869-31e5-aae3-3aff1651cbe6
                        type: card
                        is_default: true
                        details:
                          card_brand: mastercard
                          card_last_four: '4444'
                          card_expiry_month: 4
                          card_expiry_year: 2044
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 69b0f4b6-c252-3363-b98d-ab5279472b17
                      type: card
                      is_default: true
                      details:
                        card_brand: mastercard
                        card_last_four: '4444'
                        card_expiry_month: 4
                        card_expiry_year: 2044
                    - uuid: d40ceacf-4869-31e5-aae3-3aff1651cbe6
                      type: card
                      is_default: true
                      details:
                        card_brand: mastercard
                        card_last_four: '4444'
                        card_expiry_month: 4
                        card_expiry_year: 2044
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 69b0f4b6-c252-3363-b98d-ab5279472b17
                    type: card
                    is_default: true
                    details:
                      card_brand: mastercard
                      card_last_four: '4444'
                      card_expiry_month: 4
                      card_expiry_year: 2044
                  - uuid: d40ceacf-4869-31e5-aae3-3aff1651cbe6
                    type: card
                    is_default: true
                    details:
                      card_brand: mastercard
                      card_last_four: '4444'
                      card_expiry_month: 4
                      card_expiry_year: 2044
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````